package com.miaxis.app.school.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 驾校对象 school_info
 *
 * @author miaxis
 * @date 2020-12-24
 */
@Data
@ApiModel(value = "SchoolInfoDTO", description = "驾校对象 school_infoDTO")
public class SchoolInfoDTO  {

    private static final long serialVersionUID = 1L;

    /** 驾校名称 */
    @ApiModelProperty(value = "驾校名称")
    private String name;

    /** 排序字段 */
    @ApiModelProperty(value = "排序字段：学员口碑:starts 信用等级:credibility_score 距离:distance")
    private String orderName;

    /** 排序名称 */
    @ApiModelProperty(value = "排序名称:降序desc 升序asc")
    private String orderType;

    /** 当前经度 */
    @ApiModelProperty(value = "当前经度")
    private String lon;

    /** 当前纬度 */
    @ApiModelProperty(value = "当前纬度")
    private String lat;

    /** 行政区划代码 */
    @ApiModelProperty(value = "行政区划代码")
    private String areaCode;

}
