package com.miaxis.app.sms.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @Author wwl
 * @Date 2020/12/29
 * @Version 1.0
 */
@Data
public class SmsParameter implements Serializable {

    /** 手机号码 */
    private String phone;

    /** 发送短信类型（登录验证、修改手机号验证...） */
    private String type;

    /** 缓存key前缀 */
    private String keyPrefix;

    /** 验证次数 */
    private String verificationCount;

    /** 短信模板 */
    private String smsTemplateConstants;

}
