package com.miaxis.app.school.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.app.school.domain.SchoolEvaluate;
import com.miaxis.app.school.domain.SchoolEvaluateLabel;
import com.miaxis.app.school.dto.SchoolEvaluateDto;
import com.miaxis.common.core.domain.Response;

import java.util.List;

/**
 * 驾校评价Service接口
 * 
 * @author miaxis
 * @date 2020-12-28
 */
public interface ISchoolEvaluateService extends IService<SchoolEvaluate> {


    /**
     * 查询驾校评价标签列表
     * @return
     */
    List<SchoolEvaluateLabel> selectSchoolEvaluateLabelList();

    /**
     * 新增驾校评价
     * @param schoolEvaluateDto
     * @return
     */
    Response addSchoolEvaluate(SchoolEvaluateDto schoolEvaluateDto);
}
